#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_GoldenTurtleHitCFGData
{
	//编号
	int mID;
	//类型
	int mType;
	//最小值
	int mMinimumvalue;
	//最大值
	int mMaximumvalue;
	//系数（0-1）
	int mCoefficient;
};

class Fish_GoldenTurtleHitCFG
{
public:
private:
	static std::auto_ptr<Fish_GoldenTurtleHitCFG> msSingleton;
public:
	int GetCount();
	const Fish_GoldenTurtleHitCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_GoldenTurtleHitCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_GoldenTurtleHitCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_GoldenTurtleHitCFGData> mMapData;
};
